#include <iostream>
#include<algorithm>
#include<vector>
#include<string>
using namespace std;
typedef long long ll;
const ll INF = 1e17;

vector<vector<char> > dep(ll v) {
	ll n = (1 << v);
	ll m = (n << 1);
	vector<vector<char> > ans(n, vector<char>(m, ' ')), rec;
	if (v == 1) {
		ans[0][1] = ans[1][0] = '/';
		ans[0][2] = ans[1][3] = '\\';
		ans[1][1] = ans[1][2] = '_';
		return ans;
	}
	rec = dep(v - 1);
	for (int j = 0; j < n / 2; ++j) {
		for (int i = n / 2; i < n / 2 + n; ++i) {
			ans[j][i] = rec[j][i - n / 2];
		}
	}
	for (int j = n / 2; j < n; ++j) {
		for (int i = 0; i < m / 2; ++i) {
			ans[j][i] = rec[j - n / 2][i];
		}
	}
	for (int j = n / 2; j < n; ++j) {
		for (int i = m / 2; i < m; ++i) {
			ans[j][i] = rec[j - n / 2][i - m / 2];
		}
	}
	return ans;
}
int main()
{
	ll n;
	cin >> n;
	vector<vector<char> > ans = dep(n);
	for (int i = 0; i < ans.size(); ++i) {
		while (ans[i].back() == ' ')
			ans[i].pop_back();
		for (int j = 0; j < ans[i].size(); ++j) {
			cout << ans[i][j];
		}
		cout << '\n';
	}
	return 0;
}